package br.mp.mprj.portal.portlet.gestaomensagens.workflow;

public enum AcaoWorkflowEnum {

	APROVAR("approve"),
	REPROVAR("reject"),
	/**
	 * Ação executada quando uma tarefa de workflow for negada.
	 */
	REVISAR("resubmit"),
	CANCELAR("cancel");
	
	private String nome;
	
	AcaoWorkflowEnum(String nome) {
		this.nome = nome;
	}
	
	public String getNome() {
		return nome;
	}
	
	@Override
	public String toString() {
		return getNome();
	}
	
	public static AcaoWorkflowEnum getAcao(String nome) {
		for (AcaoWorkflowEnum acao : values()) {
			if (acao.getNome().equals(nome)) {
				return acao;
			}
		}
		return null;
	}
}
